org.codehaus.plexus.component.configurator.converters.lookup

## Interface ConverterLookup

All Known Implementing Classes:
  DefaultConverterLookup

    public interface ConverterLookup

Version:
  $Id: ConverterLookup.java 7828 2008-11-14 22:07:56Z dain $

### Method Summary

Methods
`ConfigurationConverter` `lookupConverterForType(java.lang.Class<?> type)`
`void` `registerConverter(ConfigurationConverter converter)`

### Method Detail

#### registerConverter

    void registerConverter(ConfigurationConverter converter)

#### lookupConverterForType

    ConfigurationConverter lookupConverterForType(java.lang.Class<?> type)
                                                  throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`